libnjb: njb_eax_struct Struct Reference

libnjb 2.2.7

- Main Page
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
njb_eax_struct Struct Reference

`#include <libnjb.h>`

## Data Fields
u_int16_t | number
char * | name
u_int8_t | exclusive
u_int8_t | group
njb_eax_control_t | type
int16_t | current_value
int16_t | min_value
int16_t | max_value
char ** | option_names
njb_eax_t * | next

## Detailed Description

This is the EAX API type.

Examples:
  dumpeax.c.

## Field Documentation

int16_t njb_eax_struct::current_value

The current value of this effect. Notice that this value may be negative!

Examples:
  dumpeax.c.

Referenced by eax_unpack(), and new_eax_type().

u_int8_t njb_eax_struct::exclusive

0x00 = not exclusive, 0x01 = exclusive The "exclusive" attribute signifies if this effect can be used in parallell with other EAX effects, GUI:s shall make sure all other effects are reset to default values when one effect is chosen.

Examples:
  dumpeax.c.

Referenced by new_eax_type().

u_int8_t njb_eax_struct::group

The visual group for this effect - effects appearing after each other are grouped if their group numbers are identical

Examples:
  dumpeax.c.

Referenced by eax_unpack(), and new_eax_type().

int16_t njb_eax_struct::max_value

The maximum value for this effect.

Examples:
  dumpeax.c.

Referenced by destroy_eax_type(), eax_unpack(), and new_eax_type().

int16_t njb_eax_struct::min_value

The minumum value for this effect. Notice that this value may be negative!

Examples:
  dumpeax.c.

Referenced by destroy_eax_type(), eax_unpack(), and new_eax_type().

char* njb_eax_struct::name

The name of this effect

Examples:
  dumpeax.c.

Referenced by destroy_eax_type(), eax_unpack(), and new_eax_type().

njb_eax_t* njb_eax_struct::next

Only to be used inside of libnjb

Referenced by eax_unpack(), new_eax_type(), and njb_get_nexteax().

u_int16_t njb_eax_struct::number

The number of this effect

Examples:
  dumpeax.c.

Referenced by eax_unpack(), and new_eax_type().

char** njb_eax_struct::option_names

Array with names for the selections, if this is a fixed option control. It may not be dereferenced for slider controls.

Examples:
  dumpeax.c.

Referenced by destroy_eax_type(), eax_unpack(), and new_eax_type().

njb_eax_control_t njb_eax_struct::type

NJB_EAX_NO_CONTROL, NJB_EAX_SLIDER_CONTROL, NJB_EAX_FIXED_OPTION_CONTROL

this replaces selectable, scalable with a single variable

Examples:
  dumpeax.c.

Referenced by destroy_eax_type(), eax_unpack(), and new_eax_type().

The documentation for this struct was generated from the following file:

- /magus/work/usr/mports/audio/libnjb/work/libnjb-2.2.7/src/libnjb.h